#!/bin/sh

if [ "$2" = "" ]; then
    echo "$0: syntax is $0 method datfile"
    echo "  methods: solver, ms, vns, slp"
    echo "    solver = run pooling.run"
    echo "    ms = run pooling-ms.run"
    echo "    vns = run pooling-vns.run"
    exit 1
fi
DAT=$2

if [ ! -f $DAT ]; then
    echo "$0: cannot open file $DAT"
    exit 2
else
    cp $DAT pooling.dat
fi

M=
if [ "$1" = "ms" ]; then
    M="-ms"
elif [ "$1" = "vns" ]; then
    M="-vns"
elif [ "$1" = "slp" ]; then
    M="-slp"
fi

RUN=pooling$M.run

ampl < $RUN

